curl --request GET \
--url https://api.ap-2.documents.resistant.ai/v2/submission/{submission_id}/quality \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ap-2.documents.resistant.ai/v2/submission/{submission_id}/quality"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ap-2.documents.resistant.ai/v2/submission/{submission_id}/quality', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "SUCCESS",
"analysis_time": "<string>",
"file_type": "unsupported",
"mime_type": "<string>",
"deployment_version": "<string>",
"query_id": "<string>",
"sha256": "<string>",
"score": "HIGH_QUALITY",
"sample_metadata": {
"producer": "<string>",
"creator": "<string>",
"creation_date": "<string>",
"mod_date": "<string>",
"author": "<string>",
"title": "<string>",
"keywords": "<string>",
"subject": "<string>"
},
"indicators": [
{
"indicator_id": "<string>",
"type": "RISK",
"category": "<string>",
"title": "<string>",
"description": "<string>",
"origin": "quality",
"metadata": {
"type": "DataOnly",
"column_names": [
"<string>"
],
"data": [
[
"<string>"
]
],
"title": "<string>"
}
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Fetch quality result [ap-2]
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
Asynchronous processing finished (either with a success or an error). Result of the processing is described by specific response object.
- Quality success response
- Pipeline failed
- Unprocessable input entity
- Pipeline was skipped
SUCCESS Timestamp of analysis
General type of the input file
unsupported, pdf, image Mime type of the input file, e.g. application/pdf, image/jpeg, etc.
256Version of quality engine used for analysis
256Optional customer-defined identifier for correlating this submission with internal systems. Must not contain PII.
2048Sha256 of the input file
64Overall quality score for the analyzed document. LOW_QUALITY indicates quality issues were detected. HIGH_QUALITY indicates no quality issues were found.
HIGH_QUALITY, LOW_QUALITY, NOT_RELEVANT_DOCUMENT Metadata extracted from the analyzed file, such as creation date and software used to create the file.
Show child attributes
Show child attributes
Detailed information about detected quality issues.
Show child attributes
Show child attributes
Was this page helpful?